Skip to main content
`Ctrl`+`K`

# NEPInterpolSetPEP

Associate a polynomial eigensolver object (`PEP`) to the nonlinear eigenvalue solver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPInterpolSetPEP(NEP nep,PEP pep)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- pep - the polynomial eigensolver context

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPINTERPOL`, `NEPInterpolGetPEP()`

## Level

advanced

## Location

src/nep/impls/interpol/interpol.c

## Implementations

NEPInterpolSetPEP_Interpol() in src/nep/impls/interpol/interpol.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages